using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.EnterpriseLibrary.Data.Configuration;
using System.Configuration;

namespace iDB2ProviderTester
{
    class DBHelper
    {
        private static string providerName;

        public static string ProviderName
        {
            get { return DBHelper.providerName; }
            set { DBHelper.providerName = value; }
        }
        private static string connectionString;

        public static string ConnectionString
        {
            get { return DBHelper.connectionString; }
            set { DBHelper.connectionString = value; }
        }
 
        public static void Initialize()
        {
            DatabaseSettings dbSettings = (DatabaseSettings)ConfigurationManager.GetSection("dataConfiguration");
            string defaultDb = dbSettings.DefaultDatabase;
            ConnectionStringSettings conStringSettings = ConfigurationManager.ConnectionStrings[defaultDb];
            DBHelper.connectionString = conStringSettings.ConnectionString;
            DBHelper.providerName = conStringSettings.ProviderName;
        }

    }
}
